{
    attributes = (
        {
            columnName = "TEM_LIBELLE"; 
            externalType = VARCHAR2; 
            name = temLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            columnName = "tem_ORDRE"; 
            externalType = NUMBER; 
            name = temOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (temLibelle, temOrdre); 
    className = "org.cocktail.maracuja.server.metier.EOTypeEmargement"; 
    classProperties = (temLibelle); 
    externalName = "maracuja.Type_Emargement"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (temLibelle); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOTypeEmargement"; 
    }; 
    name = TypeEmargement; 
    primaryKeyAttributes = (temOrdre); 
}
